Skip to main content

Integration Actions

https://api.app.wnology.io/applications/APPLICATION_ID/integrations/INTEGRATION_ID

Below are the various requests that can be performed against the Integration resource, as well as the expected parameters and the potential responses.

Delete​

Deletes an integration

Method And Url​

DELETE https://api.app.wnology.io/applications/APPLICATION_ID/integrations/INTEGRATION_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, integration.*, or integration.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
INTEGRATION_IDID associated with the integration575ed78e7ae143cd83dc4aab

Request Query Parameters​

NameRequiredDescriptionDefaultExample
includeWorkflowsNIf the workflows that utilize this integration should also be deleted.includeWorkflows=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X DELETE \
https://api.app.wnology.io/applications/APPLICATION_ID/integrations/INTEGRATION_ID

Successful Responses​

CodeTypeDescription
200SuccessIf integration was successfully deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if integration was not found

Get​

Retrieves information on an integration

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/integrations/INTEGRATION_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, integration.*, or integration.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
INTEGRATION_IDID associated with the integration575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/integrations/INTEGRATION_ID

Successful Responses​

CodeTypeDescription
200Integrationintegration information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if integration was not found

Patch​

Updates information about an integration

Method And Url​

PATCH https://api.app.wnology.io/applications/APPLICATION_ID/integrations/INTEGRATION_ID

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, integration.*, or integration.patch.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
INTEGRATION_IDID associated with the integration575ed78e7ae143cd83dc4aab

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Integration Patch schema. For example, the following would be a valid body for this request:

{
"topics": [
"differentTopic"
]
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X PATCH \
-d '{"topics":["differentTopic"]}' \
https://api.app.wnology.io/applications/APPLICATION_ID/integrations/INTEGRATION_ID

Successful Responses​

CodeTypeDescription
200IntegrationUpdated integration information

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if integration was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 2 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key

      Error Example​

      • ▶
        {} 2 keys
        • "NotFound"
        • "Application was not found"

      Integration​

      Schema for a single Integration

      Integration Schema​

      • ▶
        {} 3 keys
        • "http://json-schema.org/draft-07/schema#"
        • "object"
        • ▶
          {} 17 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 3 keys
                      • ▶
                        {} 3 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 1 key
                            • ▶
                              {} 3 keys
                              • ▶
                                {} 4 keys
                                • ▶
                                  {} 3 keys
                                  • ▶
                                    {} 4 keys
                                    • ▶
                                      {} 4 keys
                                      • ▶
                                        {} 4 keys
                                        • ▶
                                          {} 4 keys
                                          • ▶
                                            {} 4 keys

                                        Integration Example​

                                        • ▶
                                          {} 11 keys
                                          • "58ec07f20c747f65243d0d76"
                                          • "58ec07f20c747f65243d0d76"
                                          • "575ec8687ae143cd83dc4a97"
                                          • "2016-06-13T04:00:00.000Z"
                                          • "2016-06-13T04:00:00.000Z"
                                          • "Example Integrations"
                                          • "mqtt"
                                          • true
                                          • ▶
                                            [] 1 item
                                            • ▶
                                              {} 6 keys
                                              • ▶
                                                {} 3 keys

                                              Integration Patch​

                                              Schema for the body of an Integration modification request

                                              Integration Patch Schema​

                                              • ▶
                                                {} 4 keys
                                                • "http://json-schema.org/draft-07/schema#"
                                                • "object"
                                                • ▶
                                                  {} 10 keys
                                                  • ▶
                                                    {} 3 keys
                                                    • ▶
                                                      {} 1 key
                                                      • ▶
                                                        {} 3 keys
                                                        • ▶
                                                          {} 1 key
                                                          • ▶
                                                            {} 4 keys
                                                            • ▶
                                                              {} 3 keys
                                                              • ▶
                                                                {} 4 keys
                                                                • ▶
                                                                  {} 4 keys
                                                                  • ▶
                                                                    {} 4 keys
                                                                    • ▶
                                                                      {} 4 keys
                                                                    • false

                                                                  Integration Patch Example​

                                                                  • ▶
                                                                    {} 1 key
                                                                    • ▶
                                                                      [] 1 item

                                                                    Success​

                                                                    Schema for reporting a successful operation

                                                                    Success Schema​

                                                                    • ▶
                                                                      {} 3 keys
                                                                      • "http://json-schema.org/draft-07/schema#"
                                                                      • "object"
                                                                      • ▶
                                                                        {} 1 key
                                                                        • ▶
                                                                          {} 2 keys

                                                                      Success Example​

                                                                      • ▶
                                                                        {} 1 key
                                                                        • true

                                                                      Was this page helpful?


                                                                      Still looking for help? You can also search the WEGnology Forums or submit your question there.